Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Interface Database

All Known Implementing Classes:
  SimpleDatabase

public interface Database

Method Summary
`void` | `close()`
`Table` | `createTable(java.lang.String name, java.lang.String[][] cols)`
`int` | `delete(UpdateCurser[] data, Criteria c)`
`boolean` | `dropTable(java.lang.String table)`
`Sorter` | `getNewSorter()`
`Table` | `getTable(java.lang.String table)`
`java.io.File` | `getTempFile()`
`int` | `insert(java.util.LinkedList tables, java.util.LinkedList colList, java.util.LinkedList values)`
`boolean` | `modified()`
`java.lang.String` | `name()`
`boolean` | `save()`
`Curser` | `select(Curser[] data, Criteria c, java.util.LinkedList colList)`
`void` | `sync()`
`java.lang.String[]` | `tableNames()`
`int` | `update(UpdateCurser[] data, java.util.LinkedList setList, Criteria c)`

Method Detail

### createTable

    public Table createTable(java.lang.String name,
                             java.lang.String[][] cols)

### select

    public Curser select(Curser[] data,
                         Criteria c,
                         java.util.LinkedList colList)
                  throws DBException

### insert

    public int insert(java.util.LinkedList tables,
                      java.util.LinkedList colList,
                      java.util.LinkedList values)
               throws DBException

### delete

    public int delete(UpdateCurser[] data,
                      Criteria c)
               throws DBException

### update

    public int update(UpdateCurser[] data,
                      java.util.LinkedList setList,
                      Criteria c)
               throws DBException

### name

    public java.lang.String name()

### getTempFile

    public java.io.File getTempFile()

### getTable

    public Table getTable(java.lang.String table)

### tableNames

    public java.lang.String[] tableNames()

### dropTable

    public boolean dropTable(java.lang.String table)

### save

    public boolean save()

### modified

    public boolean modified()

### sync

    public void sync()

### close

    public void close()

### getNewSorter

    public Sorter getNewSorter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD